cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Pierre-Luc Dion <pd...@cloudops.com>
Subject Re: Is the 4.4.0 template still necessary for upgrade 4.3.x - 4.4.1?
Date Tue, 21 Oct 2014 22:26:49 GMT
Hi. Sorry to see this thread late. Upgrading from 4.3.1 to 4.4.1 only
require one systemvm template. (The one with -7).

Refer to 4.4.1 release notes , it should point to proper urls for sysvm
too.


Le mardi 21 octobre 2014, Nux! <nux@li.nux.ro> a écrit :

> Well, that didn't go so well. Trying to "hotfix" the 4.4.1 systemvm
> resulted in successfull SSVM and CP VMs to be restarted, however the VR
> upgrade went bad: http://pastebin.com/raw.php?i=SB3tYHZc
>
> I'll try to downgrade to the 4.4.0 Sys VM and see if that will work.
>
> --
> Sent from the Delta quadrant using Borg technology!
>
> Nux!
> www.nux.ro
>
> ----- Original Message -----
> > From: "Nux!" <nux@li.nux.ro <javascript:;>>
> > To: dev@cloudstack.apache.org <javascript:;>
> > Sent: Tuesday, 21 October, 2014 21:25:41
> > Subject: Re: Is the 4.4.0 template still necessary for upgrade 4.3.x -
> 4.4.1?
>
> > So what I see has happened is as a result of the DB upgrade from 4.3.1
> to 4.4.1
> > the systemvm-kvm-4.4 (4.4.0-6) has been marked of type System, it's not
> > deletable now.
> > Also its ID in the DB is now present as the template to use for
> ConsoleProxy,
> > SSVM and VR.
> > It's as if the hotfix was performed, although I have most certainly not.
> >
> > Can I just go ahead and perform the hotfix manually, but for
> systemvm-kvm-4.4.1
> > instead of systemvm-kvm-4.4?
> > I imagine it should just work, but would not rather take my chances at
> pulling
> > another long night. :)
> >
> > Lucian
> >
> > --
> > Sent from the Delta quadrant using Borg technology!
> >
> > Nux!
> > www.nux.ro
> >
> > ----- Original Message -----
> >> From: "Nux!" <nux@li.nux.ro <javascript:;>>
> >> To: dev@cloudstack.apache.org <javascript:;>
> >> Sent: Tuesday, 21 October, 2014 21:12:28
> >> Subject: Re: Is the 4.4.0 template still necessary for upgrade 4.3.x -
> 4.4.1?
> >
> >> Well, hit a small issue:
> >> - added 4.4.0 systemvm - OK
> >> - upgraded management/db - OK
> >> - add 4.4.1 systemvm - FAIL - "Cannot use reserved names for templates"
> >>
> >> So the names from the 4.4.0 and 4.4.1 systemvm names are identical and
> conflict.
> >> I added the 4.4.1 systemvm as systemvm-kvm-4.4.1. Would this work?
> >>
> >> --
> >> Sent from the Delta quadrant using Borg technology!
> >>
> >> Nux!
> >> www.nux.ro
> >>
> >> ----- Original Message -----
> >>> From: "Nux!" <nux@li.nux.ro <javascript:;>>
> >>> To: dev@cloudstack.apache.org <javascript:;>
> >>> Sent: Tuesday, 21 October, 2014 20:43:41
> >>> Subject: Re: Is the 4.4.0 template still necessary for upgrade 4.3.x -
> 4.4.1?
> >>
> >>> Ok, cheers. I'll start shortly, fingers crossed. :)
> >>>
> >>> --
> >>> Sent from the Delta quadrant using Borg technology!
> >>>
> >>> Nux!
> >>> www.nux.ro
> >>>
> >>> ----- Original Message -----
> >>>> From: "Daan Hoogland" <daan.hoogland@gmail.com <javascript:;>>
> >>>> To: "dev" <dev@cloudstack.apache.org <javascript:;>>
> >>>> Sent: Tuesday, 21 October, 2014 20:39:50
> >>>> Subject: Re: Is the 4.4.0 template still necessary for upgrade 4.3.x
> - 4.4.1?
> >>>
> >>>> it most certainly does
> >>>>
> >>>> On Tue, Oct 21, 2014 at 9:38 PM, Nux! <nux@li.nux.ro <javascript:;>>
> wrote:
> >>>>> Right, so the steps would be:
> >>>>>
> >>>>> - install 4.4.0-6 systemvm
> >>>>> - upgrade management/db
> >>>>> - install 4.4.1 systemvm
> >>>>> - do the manual db hotfix thing
> >>>>> - finally restart the systemvms so they use the 4.4.1 template
> >>>>>
> >>>>> Does that cover it?
> >>>>>
> >>>>> --
> >>>>> Sent from the Delta quadrant using Borg technology!
> >>>>>
> >>>>> Nux!
> >>>>> www.nux.ro
> >>>>>
> >>>>> ----- Original Message -----
> >>>>>> From: "Daan Hoogland" <daan.hoogland@gmail.com <javascript:;>>
> >>>>>> To: "dev" <dev@cloudstack.apache.org <javascript:;>>
> >>>>>> Sent: Tuesday, 21 October, 2014 20:35:51
> >>>>>> Subject: Re: Is the 4.4.0 template still necessary for upgrade
> 4.3.x - 4.4.1?
> >>>>>
> >>>>>> On Tue, Oct 21, 2014 at 9:32 PM, Nux! <nux@li.nux.ro <javascript:;>>
> wrote:
> >>>>>>> ual sys
> >>>>>>
> >>>>>>
> >>>>>> that would be once you install the 4.4.1 templates, yes. remind
me
> >>>>>> often we need to upgrade the systemvm upgrade mechs
> >>>>>>
> >>>>>> --
> >>>>>> Daan
> >>>>
> >>>>
> >>>>
> >>>> --
> > > > > Daan
>


-- 

*Pierre-Luc DION*
Architecte de Solution Cloud | Cloud Solutions Architect
t 855.652.5683

*CloudOps* Votre partenaire infonuagique* | *Cloud Solutions Experts
420 rue Guy *|* Montreal *|* Quebec *|* H3J 1S6
w cloudops.com *|* tw @CloudOps_

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message